%{!?python_sitearch:%global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?octave_api:%global octave_api %(octave-config -p API_VERSION || echo 0)}
# Set to bcond_with or use --without doc to disable doc build
%bcond_with doc
# Set to bcond_with or use --without octave to disable octave support
%bcond_without octave
# Set to bcond_with or use --without pdl to disable pdl tests - needed to 
# bootstrap or for soname bumps in a plplot dependency
%bcond_with pdl

# conditionalize Ada support
%ifnarch %{GNAT_arches}
%bcond_with ada
%else
%bcond_without ada
%endif

# conditionalize Ocaml support
%ifarch sparc64 s390 s390x
%bcond_with ocaml
%else
# Missing needed ocaml ppc64 packages on RHEL7 at the moment
%if 0%{?rhel} == 7 
%bcond_with ocaml
%else
%bcond_without ocaml
%endif
%endif

%global svnver 12530

Name:           plplot
Version:        5.10.0
Release:        10%{?dist}
Summary:        Library of functions for making scientific plots

Group:          Applications/Engineering
License:        LGPLv2+
URL:            http://plplot.sourceforge.net/
# svn export -r12530 svn://svn.code.sf.net/p/plplot/code/trunk plplot-5.9.9-svn12530
# tar caf plplot-5.9.9-svn12530.tar.xz plplot-5.9.9-svn12530
Source0:        http://downloads.sourceforge.net/plplot/%{name}-%{version}.tar.gz
# Add patch to pass octaveopts to octave tests
Patch1:         plplot-octave.patch
Patch2:         plplot-multiarch.patch
# Change log10(x) to log(x,10) for lua 5.2
Patch3:         plplot-lua52.patch
# Fix pkgconfig libs
# https://bugzilla.redhat.com/show_bug.cgi?id=998988
Patch4:         plplot-pkgconfig.patch
# Upstream patch for octave 3.8
Patch5:         plplot-octave38.patch
# Upstream patch to rename HAVE_CONFIG_H
# svn diff -r13095:13097
Patch6:         plplot-config.patch
# Don't use -custom with ocamlc
Patch7:         plplot-ocaml.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake, libtool-ltdl-devel, swig
BuildRequires:  gcc-gfortran
%if %{with ada}
BuildRequires:  gcc-gnat
BuildRequires:  lapack-devel
%endif
%if %{with octave}
BuildRequires:  octave-devel
%define build_octave %{nil}
%else
Obsoletes:      %{name}-octave < %{version}-%{release}
%define build_octave -DENABLE_octave:BOOL=OFF
%endif
BuildRequires:  java-devel
BuildRequires:  freetype-devel, qhull-devel , ncurses-devel
BuildRequires:  gd-devel, tcl-devel, tk-devel
BuildRequires:  itcl-devel, itk-devel
BuildRequires:  iwidgets
BuildRequires:  python-devel, pygtk2-devel, numpy
BuildRequires:  perl(XML::DOM), lasi-devel, wxGTK-devel
BuildRequires:  gnu-free-mono-fonts
BuildRequires:  gnu-free-sans-fonts
BuildRequires:  gnu-free-serif-fonts
%if %{with pdl}
BuildRequires:  perl(PDL::Graphics::PLplot)
%endif
%if %{with doc}
BuildRequires:  docbook2X
BuildRequires:  doxygen
BuildRequires:  fop
BuildRequires:  texlive-xmltex
BuildRequires:  tex(ulem.sty)
BuildRequires:  xmlto-tex
%endif
%if %{with ocaml}
BuildRequires:  ocaml
BuildRequires:  ocaml-cairo-devel
BuildRequires:  ocaml-camlidl-devel
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-lablgtk-devel
BuildRequires:  ocaml-ocamldoc
%endif
BuildRequires:  lua-devel
BuildRequires:  qt-devel
#For pyqt4
BuildRequires:  PyQt4-devel
BuildRequires:  shapelib-devel
#For Qt tests
BuildRequires:  xorg-x11-xauth, xorg-x11-server-Xvfb, mesa-dri-drivers
BuildRequires:  chrpath
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
Requires:       gnu-free-mono-fonts
Requires:       gnu-free-sans-fonts
Requires:       gnu-free-serif-fonts
Requires:       numpy


%description
PLplot is a library of functions that are useful for making scientific
plots.

PLplot can be used from within compiled languages such as C, C++,
FORTRAN and Java, and interactively from interpreted languages such as
Octave, Python, Perl and Tcl.

The PLplot library can be used to create standard x-y plots, semilog
plots, log-log plots, contour plots, 3D surface plots, mesh plots, bar
charts and pie charts. Multiple graphs (of the same or different sizes)
may be placed on a single page with multiple lines in each graph.

A variety of output file devices such as Postscript, png, jpeg, LaTeX
and others, as well as interactive devices such as xwin, tk, xterm and
Tektronics devices are supported. New devices can be easily added by
writing a small number of device dependent routines.

There are almost 2000 characters in the extended character set. This
includes four different fonts, the Greek alphabet and a host of
mathematical, musical, and other symbols. Some devices supports its own
way of dealing with text, such as the Postscript and LaTeX drivers, or
the png and jpeg drivers that uses the Freetype library.


%package        libs
Summary:        Libraries for PLplot
Group:          Development/Libraries
Requires(post): /sbin/ldconfig

%description    libs
%{summary}.


%package        devel
Summary:        Development headers and libraries for PLplot
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description    devel
%{summary}.


%package        doc
Summary:        Documentation for PLplot
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description    doc
%{summary}.


%if %{with ada}
%package        ada
Summary:        Functions for scientific plotting with Ada
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    ada
%{summary}.

%package        ada-devel
Summary:        Development files for using PLplot Ada bindings
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}
Requires:       %{name}-ada%{?_isa} = %{version}-%{release}
Requires:       gcc-gnat

%description    ada-devel
%{summary}.
%endif


%package        fortran-devel
Summary:        Development files for using PLplot Fortran bindings
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}
%if 0%{?fedora}
Requires:       gcc-gfortran%{_isa}
%else
Requires:       gcc-gfortran
%endif

%description    fortran-devel
%{summary}.


%package        java
Summary:        Functions for scientific plotting with Java
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
%if 0%{?fedora} >= 20 || 0%{?rhel} >= 7
Requires:       java-headless
%else
Requires:       java
%endif

%description    java
%{summary}.

%package        java-devel
Summary:        Development files for using PLplot GNOME
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}
Requires:       %{name}-java%{?_isa} = %{version}-%{release}

%description    java-devel
%{summary}.


%package        lua
Summary:        Functions for scientific plotting with Lua
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       lua

%description    lua
%{summary}.


%if %{with ocaml}
%package        -n ocaml-plplot
Summary:        Functions for scientific plotting with OCaml
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Provides:       plplot-ocaml = %{version}-%{release}
Obsoletes:      plplot-ocaml < 5.9.10-3

%description    -n ocaml-plplot
%{summary}.


%package        -n ocaml-plplot-devel
Summary:        Development files for PLplot OCaml
Group:          Development/Libraries
Requires:       ocaml-plplot%{?_isa} = %{version}-%{release}
Provides:       plplot-ocaml-devel = %{version}-%{release}
Obsoletes:      plplot-ocaml-devel < 5.9.10-3

%description    -n ocaml-plplot-devel
%{summary}.
%endif


%if %{with octave}
%package        octave
Summary:        Functions for scientific plotting with Octave
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       octave(api) = %{octave_api}

%description    octave
%{summary}.
%endif


%package        perl
Summary:        Examples for using plplot with PDL
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    perl
%if %{with pdl}
%{summary}.
%else
This is a dummy package, since pdl support was not enabled in the plplot build.
%endif


%package        pyqt
Summary:        Functions for scientific plotting with PyQt
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    pyqt
%{summary}.


%package        qt
Summary:        Functions for scientific plotting with Qt
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    qt
%{summary}.

%package        qt-devel
Summary:        Development files for using PLplot with Qt
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}
Requires:       %{name}-qt%{?_isa} = %{version}-%{release}

%description    qt-devel
%{summary}.


%package        tk
Summary:        Functions for scientific plotting with Tk
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    tk
%{summary}.

%package        tk-devel
Summary:        Development files for using PLplot with Tk
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}
Requires:       %{name}-tk%{?_isa} = %{version}-%{release}

# Do not check any tk examples requires
%global __requires_exclude_from ^%{_datadir}/plplot%{version}/examples/tk/tk.*$

%description    tk-devel
%{summary}.


%package        wxGTK
Summary:        Functions for scientific plotting with wxGTK
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    wxGTK
%{summary}.

%package        wxGTK-devel
Summary:        Development files for using PLplot with wxGTK
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}
Requires:       %{name}-wxGTK%{?_isa} = %{version}-%{release}

%description    wxGTK-devel
%{summary}.


%prep
%setup -q
%patch1 -p1 -b .octave
%patch2 -p1 -b .multiarch
%if 0%{?fedora} >= 20
%patch3 -p1 -b .lua52
%endif
%patch4 -p1 -b .pkgconfig
%patch5 -p1 -b .octave38
%patch6 -p0 -b .config
%patch7 -p1 -b .ocaml
# Emtpy file - fixed upstream
sed -i -e '/plplotdoc-html.proc/d' doc/docbook/src/HTML-MANIFEST


%build
mkdir fedora
cd fedora
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
export FFLAGS="$RPM_OPT_FLAGS"
#Needed for octave output to not have control characters
unset TERM
printenv
# We assume that tk version is the same as tcl, cannot check without DISPLAY
tkver=$(echo 'puts [info patchlevel]; exit' | tclsh)
# Hacks to determine versions without DISPLAY
itclver=$(echo %{_libdir}/libitcl*.so | sed -e 's/.*\([0-9]\.[0-9]\)\.so/\1/')
itkver=$(echo %{_libdir}/libitk*.so | sed -e 's/.*\([0-9]\.[0-9]\)\.so/\1/')
iwidgetsver=$(echo %{_datadir}/tcl*/iwidgets* | sed -e 's/.*iwidgets//')
%cmake .. \
        -DCMAKE_INSTALL_LIBDIR:PATH=%{_libdir} \
        -DF95_MOD_DIR:PATH=%{_fmoddir} \
        -DUSE_RPATH:BOOL=OFF \
        -DENABLE_ada:BOOL=ON \
        -DENABLE_d:BOOL=ON \
        -DENABLE_itcl:BOOL=ON \
        -DENABLE_itk:BOOL=ON \
        -DENABLE_lua:BOOL=ON \
        -DENABLE_ocaml:BOOL=ON \
        -DOCAML_INSTALL_DIR:PATH=`ocamlc -where` \
        %{build_octave} \
        -DENABLE_pdl:BOOL=ON \
        -DENABLE_tk:BOOL=ON \
        -DJAVAWRAPPER_DIR:PATH="%{_libdir}/plplot%{version}" \
        -DNON_TRANSITIVE:BOOL=ON \
        -DPL_FREETYPE_FONT_PATH:PATH="/usr/share/fonts/gnu-free" \
        -DPLD_aqt:BOOL=ON \
        -DPLD_conex:BOOL=ON \
        -DPLD_imp:BOOL=ON \
        -DPLD_mskermit:BOOL=ON \
        -DPLD_ntk:BOOL=ON \
        -DPLD_pstex:BOOL=ON \
        -DPLD_svg:BOOL=ON \
        -DPLD_tek4010:BOOL=ON \
        -DPLD_tek4010f:BOOL=ON \
        -DPLD_tek4107:BOOL=ON \
        -DPLD_tek4107f:BOOL=ON \
        -DPLD_versaterm:BOOL=ON \
        -DPLD_vlt:BOOL=ON \
        -DPLD_xterm:BOOL=ON \
        -DPLD_wxwidgets:BOOL=ON \
        -DPLPLOT_TK_VERSION=$tkver \
        -DPLPLOT_ITCL_VERSION=$itclver \
        -DPLPLOT_ITK_VERSION=$itkver \
        -DIWIDGETS_VERSIONS_LIST:STRING="$iwidgetsver;$itkver;$itclver" \
%if %{with doc}
        -DXML_DECL:FILEPATH=/usr/share/sgml/xml.dcl \
        -DBUILD_DOC:BOOL=ON \
        -DBUILD_DOX_DOC:BOOL=ON \
        -DBUILD_DVI:BOOL=OFF \
%else
        -DPREBUILT_DOC:BOOL=ON \
%endif
        -DBUILD_TEST:BOOL=ON
make %{?_smp_flags} VERBOSE=1


%install
rm -rf $RPM_BUILD_ROOT
cd fedora
make install DESTDIR=$RPM_BUILD_ROOT

# Fix up tclIndex files so they are the same on all builds
for file in $RPM_BUILD_ROOT%{_datadir}/plplot%{version}/examples/*/tclIndex
do
   grep '^[# ]' ${file} > tclIndex.hd
   grep -v '^[# ]' ${file} | sort > tclIndex
   cat tclIndex.hd tclIndex > ${file}
done

rm -rf $RPM_BUILD_ROOT%{_datadir}/plplot%{version}/examples/cmake/modules/Platform

#Don't pull in script interpreters for example binaries
find $RPM_BUILD_ROOT%{_datadir}/plplot%{version}/examples -type f | xargs chmod -x

%if %{with ocaml}
# Bug in ocamlmklib http://caml.inria.fr/mantis/view.php?id=5943
chrpath -d $RPM_BUILD_ROOT%{_libdir}/ocaml/stublibs/dllpl*_stubs.so
%endif


%check
cd fedora
export octaveopts=--no-window-system
#Hack
export ITCL_LIBRARY=%{_libdir}/tcl8.5/itcl3.4
# Exclude ocaml from ppc/ppc64, arm
# The *qt tests requires an X server
LOGFILE=`mktemp`
%ifarch ppc ppc64
ctest -V -E 'ocaml|qt' &> $LOGFILE || (cat $LOGFILE && exit 1)
%else
%ifarch %{arm} aarch64
ctest -V -E 'java|ocaml|qt' &> $LOGFILE || (cat $LOGFILE && exit 1)
%else
ctest -V -E 'qt' &> $LOGFILE || (cat $LOGFILE && exit 1)
%endif
%endif


%post
/sbin/install-info %{_infodir}/plplotdoc.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/plplotdoc.info %{_infodir}/dir || :
fi

%post   libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%if %{with ada}
%post   ada -p /sbin/ldconfig
%postun ada -p /sbin/ldconfig
%endif

%if %{with octave}
%post   octave -p /sbin/ldconfig
%postun octave -p /sbin/ldconfig
%endif

%post   qt -p /sbin/ldconfig
%postun qt -p /sbin/ldconfig

%post   tk -p /sbin/ldconfig
%postun tk -p /sbin/ldconfig

%post   wxGTK -p /sbin/ldconfig
%postun wxGTK -p /sbin/ldconfig


%files
%{_bindir}/pltek
%{_bindir}/pstex2eps
%{python_sitearch}/_plplotcmodule.so
%{python_sitearch}/plplot.py*
%{python_sitearch}/plplotc.py*
%{python_sitearch}/Plframe.py*
%{python_sitearch}/TclSup.py*
%{_infodir}/plplotdoc.info*
%{_mandir}/man1/pltek.1.gz
%{_mandir}/man1/pstex2eps.1.gz
%dir %{_datadir}/plplot%{version}
%{_datadir}/plplot%{version}/*.fnt
%{_datadir}/plplot%{version}/*.pal
%{_datadir}/plplot%{version}/*.sh*
%doc %dir %{_datadir}/plplot%{version}/examples
%doc %{_datadir}/plplot%{version}/examples/lena.pgm
%doc %{_datadir}/plplot%{version}/examples/plplot-test.sh
%doc %{_datadir}/plplot%{version}/examples/plplot-test-interactive.sh
%doc %{_datadir}/plplot%{version}/examples/python/
%doc %{_datadir}/plplot%{version}/examples/test_python.sh

%files libs
%doc COPYING.LIB Copyright
%{_libdir}/libcsirocsa.so.0*
%{_libdir}/libcsironn.so.0*
%{_libdir}/libplplotcxxd.so.11*
%{_libdir}/libplplotd.so.12*
%{_libdir}/libplplotf95cd.so.11*
%{_libdir}/libplplotf95d.so.11*
%{_libdir}/libqsastime.so.0*
%dir %{_libdir}/plplot%{version}
%dir %{_libdir}/plplot%{version}/driversd
%{_libdir}/plplot%{version}/driversd/cairo.so
%{_libdir}/plplot%{version}/driversd/cairo.driver_info
%{_libdir}/plplot%{version}/driversd/mem.so
%{_libdir}/plplot%{version}/driversd/mem.driver_info
%{_libdir}/plplot%{version}/driversd/ntk.so
%{_libdir}/plplot%{version}/driversd/ntk.driver_info
%{_libdir}/plplot%{version}/driversd/null.so
%{_libdir}/plplot%{version}/driversd/null.driver_info
%{_libdir}/plplot%{version}/driversd/ps.so
%{_libdir}/plplot%{version}/driversd/ps.driver_info
%{_libdir}/plplot%{version}/driversd/pstex.so
%{_libdir}/plplot%{version}/driversd/pstex.driver_info
%{_libdir}/plplot%{version}/driversd/psttf.so
%{_libdir}/plplot%{version}/driversd/psttf.driver_info
%{_libdir}/plplot%{version}/driversd/svg.so
%{_libdir}/plplot%{version}/driversd/svg.driver_info
%{_libdir}/plplot%{version}/driversd/xfig.so
%{_libdir}/plplot%{version}/driversd/xfig.driver_info
%{_libdir}/plplot%{version}/driversd/xwin.so
%{_libdir}/plplot%{version}/driversd/xwin.driver_info

%files devel
%{_includedir}/plplot/
%{_libdir}/libcsirocsa.so
%{_libdir}/libcsironn.so
%{_libdir}/libplplotcxxd.so
%{_libdir}/libplplotd.so
%{_libdir}/libqsastime.so
%{_libdir}/pkgconfig/plplotd.pc
%{_libdir}/pkgconfig/plplotd-c++.pc
%doc %{_datadir}/plplot%{version}/examples/CMakeLists.txt
%doc %dir %{_datadir}/plplot%{version}/examples/cmake
%doc %dir %{_datadir}/plplot%{version}/examples/cmake/modules
%doc %{_datadir}/plplot%{version}/examples/cmake/modules/export_plplot-noconfig.cmake
%doc %{_datadir}/plplot%{version}/examples/cmake/modules/export_plplot.cmake
%doc %{_datadir}/plplot%{version}/examples/cmake/modules/language_support.cmake
%if %{with ada}
%doc %{_datadir}/plplot%{version}/examples/cmake/modules/language_support/
%endif
%doc %{_datadir}/plplot%{version}/examples/cmake/modules/pkg-config.cmake
%doc %{_datadir}/plplot%{version}/examples/cmake/modules/plplot_configure.cmake
%doc %{_datadir}/plplot%{version}/examples/cmake/modules/plplot_functions.cmake
%doc %{_datadir}/plplot%{version}/examples/c/
%doc %{_datadir}/plplot%{version}/examples/c++/
%doc %{_datadir}/plplot%{version}/examples/Makefile
%doc %{_datadir}/plplot%{version}/examples/test_c.sh
%doc %{_datadir}/plplot%{version}/examples/test_c_interactive.sh
%doc %{_datadir}/plplot%{version}/examples/test_cxx.sh
%doc %{_datadir}/plplot%{version}/examples/test_diff.sh
%{_mandir}/man3/pl*.3*

%files doc
%{_docdir}/%{name}/

%if %{with ada}
%files ada
%{_libdir}/libplplotadad.so.1*

%files ada-devel
#Until we find an owner for %{_libdir}/ada/adalib/
%{_libdir}/ada/
#%{_libdir}/ada/adalib/plplotadad/
%{_libdir}/libplplotadad.so
%{_libdir}/pkgconfig/plplotd-ada.pc
#Until we find an owner for %{_datadir}/ada/adainclude/
%{_datadir}/ada/
#%{_datadir}/ada/adainclude/plplotadad/
%doc %{_datadir}/plplot%{version}/examples/ada/
%doc %{_datadir}/plplot%{version}/examples/test_ada.sh
%endif

%files fortran-devel
%{_fmoddir}/plf95demolib.mod
%{_fmoddir}/plplot.mod
%{_fmoddir}/plplot_flt.mod
%{_fmoddir}/plplotp.mod
%{_libdir}/libplplotf95cd.so
%{_libdir}/libplplotf95d.so
%{_libdir}/libplf95demolibd.a
%{_libdir}/pkgconfig/plplotd-f95.pc
%doc %{_datadir}/plplot%{version}/examples/f95/
%doc %{_datadir}/plplot%{version}/examples/test_f95.sh

%files java
%{_libdir}/plplot%{version}/plplotjavac_wrap.so
%{_datadir}/java/plplot.jar

%files java-devel
%doc %{_datadir}/plplot%{version}/examples/java/
%doc %{_datadir}/plplot%{version}/examples/test_java.sh

%files lua
%{_libdir}/lua/*/plplot/
%doc %{_datadir}/plplot%{version}/examples/lua/
%doc %{_datadir}/plplot%{version}/examples/test_lua.sh

%if %{with ocaml}
%files -n ocaml-plplot
%dir %{_libdir}/ocaml/plcairo/
%{_libdir}/ocaml/plcairo/META
%{_libdir}/ocaml/plcairo/*.cma
%{_libdir}/ocaml/plcairo/*.cmi
%dir %{_libdir}/ocaml/plplot/
%{_libdir}/ocaml/plplot/META
%{_libdir}/ocaml/plplot/*.cma
%{_libdir}/ocaml/plplot/*.cmi
%{_libdir}/ocaml/stublibs/*

%files -n ocaml-plplot-devel
%{_libdir}/pkgconfig/plplotd-ocaml.pc
%{_libdir}/ocaml/plcairo/*.a
%{_libdir}/ocaml/plcairo/*.cmxa
%{_libdir}/ocaml/plcairo/plcairo.mli
%{_libdir}/ocaml/plplot/*.a
%{_libdir}/ocaml/plplot/*.cmxa
%{_libdir}/ocaml/plplot/plplot.mli
%doc %{_datadir}/plplot%{version}/examples/ocaml/
%doc %{_datadir}/plplot%{version}/examples/test_ocaml.sh
%endif

%if %{with octave}
%files octave
%{_datadir}/plplot_octave/
%{_datadir}/octave/site/m/PLplot/
%{_libdir}/octave/site/oct/*/plplot_octave.oct
%doc %{_datadir}/plplot%{version}/examples/lena.img
%doc %{_datadir}/plplot%{version}/examples/octave/
%doc %{_datadir}/plplot%{version}/examples/test_octave.sh
%doc %{_datadir}/plplot%{version}/examples/test_octave_interactive.sh
%endif

#%if %{with pdl}
%files perl
%if %{with pdl}
%doc %{_datadir}/plplot%{version}/examples/perl/
%doc %{_datadir}/plplot%{version}/examples/test_pdl.sh
%endif

%files pyqt
%{python_sitearch}/plplot_pyqt4.so

%files qt
%{_libdir}/libplplotqtd.so.1*
%{_libdir}/plplot%{version}/driversd/qt.so
%{_libdir}/plplot%{version}/driversd/qt.driver_info

%files qt-devel
%{_libdir}/libplplotqtd.so
%{_libdir}/pkgconfig/plplotd-qt.pc
%doc %{_datadir}/plplot%{version}/examples/cmake/modules/ndp_UseQt4.cmake

%files tk
%{_bindir}/plserver
%{_bindir}/pltcl
%{_libdir}/libplplottcltkd.so.11*
%{_libdir}/libplplottcltk_Maind.so.0*
%{_libdir}/libtclmatrixd.so.9*
%{_libdir}/plplot%{version}/driversd/tk.so
%{_libdir}/plplot%{version}/driversd/tk.driver_info
%{_libdir}/plplot%{version}/driversd/tkwin.so
%{_libdir}/plplot%{version}/driversd/tkwin.driver_info
%{python_sitearch}/plplot_widgetmodule.so
%{_datadir}/plplot%{version}/pkgIndex.tcl
%doc %{_datadir}/plplot%{version}/examples/test_tcl.sh
%doc %{_datadir}/plplot%{version}/examples/tcl/
%doc %{_datadir}/plplot%{version}/examples/tk/
%{_datadir}/plplot%{version}/tcl/
%{_mandir}/man1/plserver.1.gz
%{_mandir}/man1/pltcl.1.gz

%files tk-devel
%{_libdir}/libplplottcltkd.so
%{_libdir}/libplplottcltk_Maind.so
%{_libdir}/libtclmatrixd.so
%{_libdir}/pkgconfig/plplotd-tcl.pc
%{_libdir}/pkgconfig/plplotd-tcl_Main.pc

%files wxGTK
%{_libdir}/libplplotwxwidgetsd.so.0*
%{_libdir}/plplot%{version}/driversd/wxwidgets.so
%{_libdir}/plplot%{version}/driversd/wxwidgets.driver_info

%files wxGTK-devel
%{_libdir}/libplplotwxwidgetsd.so
%{_libdir}/pkgconfig/plplotd-wxwidgets.pc


%changelog
* Wed Jan 11 2017 Orion Poplawski <orion@cora.nwra.com> - 5.10.0-10
- Re-enable octave support

* Mon Jun 9 2014 Orion Poplawski <orion@cora.nwra.com> - 5.10.0-9
- Add upstream patch to rename HAVE_CONFIG_H

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.10.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 21 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 5.10.0-7
- Rebuilt for https://fedoraproject.org/wiki/Changes/f21tcl86

* Tue May 20 2014 Peter Robinson <pbrobinson@fedoraproject.org> 5.10.0-6
- Fix aarch64 builds

* Tue May 13 2014 Peter Robinson <pbrobinson@fedoraproject.org> 5.10.0-5
- User GNAT_arches for Adda arch conditionals rather than specific list

* Thu Apr 10 2014 Orion Poplawski <orion@cora.nwra.com> - 5.10.0-4
- Rebuild for gcc 4.9.0

* Sat Mar 1 2014 Orion Poplawski <orion@cora.nwra.com> - 5.10.0-3
- Re-enable octave

* Mon Feb 24 2014 Orion Poplawski <orion@cora.nwra.com> - 5.10.0-2
- Requires java-headless (bug #1068488)

* Thu Feb 13 2014 Orion Poplawski <orion@cora.nwra.com> - 5.10.0-1
- Update to 5.10.0

* Mon Jan 6 2014 Orion Poplawski <orion@cora.nwra.com> - 5.9.11-3
- Drop octave support for now

* Sun Dec 29 2013 Orion Poplawski <orion@cora.nwra.com> - 5.9.11-2
- Add upstream patch to rename config.h to plplot_config.h

* Sun Dec 29 2013 Orion Poplawski <orion@cora.nwra.com> - 5.9.11-1
- Update to 5.9.11
- Rebase multiarch patch
- Drop upstream soperms, rpmlint patch

* Sat Dec 28 2013 Orion Poplawski <orion@cora.nwra.com> - 5.9.10-4
- Rebuild for octave 3.8.0

* Mon Oct 28 2013 Orion Poplawski <orion@cora.nwra.com> - 5.9.10-3
- Add upstream patch to fix ocaml and octave library permissions
- Add patch to fix various rpmlint issues
- Add patch to drop using -custom when building ocaml bindings
- Rename ocaml sub-packages
- Strip rpath from ocaml libs
- Add %%{?_isa} to requires

* Sun Oct 20 2013 Orion Poplawski <orion@cora.nwra.com> - 5.9.10-2
- Drop very old plplot-gnome obsoletes
- Mark examples as documentation

* Tue Oct 1 2013 Orion Poplawski <orion@cora.nwra.com> - 5.9.10-1
- Update to 5.9.10

* Thu Sep 26 2013 Orion Poplawski <orion@cora.nwra.com> - 5.9.9-22.svn12530
- Update to svn 12530
- Rework doc BRs

* Sat Sep 14 2013 Richard W.M. Jones <rjones@redhat.com> - 5.9.9-21.svn12479
- Rebuild for OCaml 4.01.0.

* Fri Aug 23 2013 Orion Poplawski <orion@cora.nwra.com> - 5.9.9-20.svn12479
- Remove unneeded libs from pkgconfig file (bug #998988)
- Remove unneeded requires from devel package

* Mon Aug 12 2013 Orion Poplawski <orion@cora.nwra.com> - 5.9.9-19.svn12479
- Update to svn 12479
- Drop destdir patch fixed upstream
- Build doxygen documentation
- Put documentation into separate -doc subpackage

* Wed Aug 7 2013 Orion Poplawski <orion@cora.nwra.com> - 5.9.9-18.svn12474
- Update to svn 12474
- Add patch to revert doc DESTDIR change

* Wed Aug 7 2013 Orion Poplawski <orion@cora.nwra.com> - 5.9.9-17.svn12281
- Use svn export to build source
- Enable shapelib support

* Wed Aug 7 2013 Orion Poplawski <orion@cora.nwra.com> - 5.9.9-16.svn12281
- Fix doc location
- Add patch for lua 5.2 support

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.9.9-16.svn12281
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Apr 21 2013 Peter Robinson <pbrobinson@fedoraproject.org> 5.9.9-15.svn12281
- Fix building on ARM

* Fri Jan 25 2013 Orion Poplawski <orion@cora.nwra.com> - 5.9.9-14.svn12281
- Rebuild for gcc 4.8

* Sat Dec 15 2012 Orion Poplawski <orion@cora.nwra.com> - 5.9.9-13.svn12281
- Update to svn 12281

* Fri Dec 14 2012 Orion Poplawski <orion@cora.nwra.com> - 5.9.9-12.svn12202
- Add patch from upstream to fix cmake handling

* Wed Oct 17 2012 Orion Poplawski <orion@cora.nwra.com> - 5.9.9-11.svn12202
- Rebuild for ocaml 4.00.1

* Thu Aug 9 2012 Orion Poplawski <orion@cora.nwra.com> - 5.9.9-10.svn12202
- Drop agg support

* Fri Aug 3 2012 Orion Poplawski <orion@cora.nwra.com> - 5.9.9-9.svn12202
- Update to svn 12202
- Rebase multiarch patch

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.9.9-8.svn12161
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun 09 2012 Richard W.M. Jones <rjones@redhat.com> - 5.9.9-7.svn12161
- Rebuild for OCaml 4.00.0.

* Tue Feb 21 2012 Orion Poplawski <orion@cora.nwra.com> - 5.9.9-6.svn12161
- Define CMAKE_INSTALL_LIBDIR, removed from %%cmake macro

* Sat Jan 28 2012 Orion Poplawski <orion@cora.nwra.com> - 5.9.9-5.svn12161
- Update to svn 12161

* Mon Jan 16 2012 Orion Poplawski <orion@cora.nwra.com> - 5.9.9-4.svn12123
- Rebuild for octave 3.6.0
- Add patch to allow octave tests to be run in mock

* Fri Jan 13 2012 Orion Poplawski <orion@cora.nwra.com> - 5.9.9-3.svn12123
- Drop unneeded gnome BRs

* Fri Jan 6 2012 Orion Poplawski <orion@cora.nwra.com> - 5.9.9-2
- Update to svn 12123
- Update multiarch patch
- Drop gnat patch, fixed upstream
- Turn on non-transitive linking
- Drop some unused cmake options

* Tue Nov 1 2011 Orion Poplawski <orion@cora.nwra.com> - 5.9.9-1
- Update to 5.9.9

* Fri Sep 23 2011 Orion Poplawski <orion@cora.nwra.com> - 5.9.8-3
- Rebuild for lasi 1.1.1

* Wed Aug 17 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 5.9.8-2
- Fix FTBFS (gah).
- Drop pdl support for now, since it isn't used anyways by plplot.

* Mon Aug 8 2011 Orion Poplawski <orion@cora.nwra.com> - 5.9.8-1
- Update to 5.9.8
- Drop octave-config patch applied upstream
- Add BR mesa-dri-drivers to get swrast_dri.so for tests
- Drop converting files to UTF-8, they already are
- No longer need the xvfb-run xauth workaround

* Tue Apr 5 2011 Orion Poplawski <orion@cora.nwra.com> - 5.9.7-9
- Add patch to use octave-config to handle moved octave directories

* Mon Feb 21 2011 Orion Poplawski <orion@cora.nwra.com> - 5.9.7-8
- Re-enable epsqt, pdfqt, and svgqt tests.

* Mon Feb 14 2011 Orion Poplawski <orion@cora.nwra.com> - 5.9.7-7
- Disable epsqt, pdfqt, and svgqt tests.  Cannot reproduce failure outside of
  mock.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.9.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 24 2011 Orion Poplawski <orion@cora.nwra.com> - 5.9.7-5
- Rebuild for new libgnat
- Add patch for gnat 4.6 support

* Wed Jan 5 2011 Orion Poplawski <orion@cora.nwra.com> - 5.9.7-4
- Rebuild for new ocaml

* Mon Dec 27 2010 Orion Poplawski <orion@cora.nwra.com> - 5.9.7-3
- Don't use %%{_isa} in Requires for gcc-gfortran - not multilib in RHEL

* Tue Oct 12 2010 Orion Poplawski <orion@cora.nwra.com> - 5.9.7-2
- Don't pull in requires from examples
- Fail %%check section if tests fail

* Mon Oct 11 2010 Orion Poplawski <orion@cora.nwra.com> - 5.9.7-1
- Update to 5.9.7
- Rebase multiarch patch
- Drop info patch fixed upstream

* Mon Sep 6 2010 Dan Horák <dan@danny.cz> - 5.9.6-7
- conditionalize Ada and Ocaml support

* Fri Jul 30 2010 Orion Poplawski <orion@cora.nwra.com> - 5.9.6-6
- Add licenses to libs sub-package

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 5.9.6-5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Jul 14 2010 Dan Horák <dan@danny.cz> - 5.9.6-4
- rebuilt against wxGTK-2.8.11-2

* Tue Jul 13 2010 - Orion Poplawski <orion@cora.nwra.com> - 5.9.6-3
- Turn off Ada 2007, not useful

* Thu Jul 8 2010 - Orion Poplawski <orion@cora.nwra.com> - 5.9.6-2
- Rebuild for new libgnat

* Wed Jul 7 2010 - Orion Poplawski <orion@cora.nwra.com> - 5.9.6-1
- Update to 5.9.6

* Thu Jan 14 2010 - Orion Poplawski <orion@cora.nwra.com> - 5.9.5-7
- Add BR lapack-devel for ada support
- Add more needed ocaml BRs, plcairo module is now built
- Drop jni patch, fixed with cmake option
- Re-enable qt tests - xvfb no longer crashes

* Wed Nov 25 2009 - Orion Poplawski <orion@cora.nwra.com> - 5.9.5-6
- Update to svn 10696 to fix build issues

* Wed Nov 25 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 5.9.5-5
- Rebuild for Qt 4.6.0 RC1 in F13 (was built against Beta 1 with unstable ABI)

* Fri Oct 30 2009 - Orion Poplawski <orion@cora.nwra.com> - 5.9.5-4
- Update to svn 10561 to fix build issues
- Update test patch
- Remove obsoleted driver linuxvga

* Mon Oct 26 2009 - Orion Poplawski <orion@cora.nwra.com> - 5.9.5-3
- Create fortran-devel sub-package with fortran development files (bug #523543)

* Thu Oct 22 2009 - Orion Poplawski <orion@cora.nwra.com> - 5.9.5-2
- Move the python plplot_widgetmodule.so to the tk sub-package

* Mon Sep 28 2009 - Orion Poplawski <orion@cora.nwra.com> - 5.9.5-1
- Update to 5.9.5
- Disable qt tests for now until Xvfb bug is fixed.
- Remove ocaml dep code for now - breaks other dep generation

* Wed Aug 26 2009 - Orion Poplawski <orion@cora.nwra.com> - 5.9.4-8
- Update octave patch to hopefully fix remaining issue.
- Re-enable tests

* Wed Aug 26 2009 - Orion Poplawski <orion@cora.nwra.com> - 5.9.4-7
- Add patch from svn to support pdl 2.4.4_05
- Force using gfortran

* Wed Aug 26 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 5.9.4-6
- Build with perl package re-enabled

* Wed Aug 26 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 5.9.4-5
- Temporarily disable check to fix broken deps in rawhide
- Attempt bootstrap build without pdl

* Thu Aug 13 2009 - Orion Poplawski <orion@cora.nwra.com> - 5.9.4-4
- Add patch to support octave 3.2

* Sat Aug 01 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 5.9.4-3
- Rebuilt against updated Octave.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 22 2009 - Orion Poplawski <orion@cora.nwra.com> - 5.9.4-1
- Update to 5.9.4
- Drop soversion patch applied upstream

* Mon May 4 2009 - Orion Poplawski <orion@cora.nwra.com> - 5.9.3-2
- Also obsolete plplot-gnome-devel

* Mon May 4 2009 - Orion Poplawski <orion@cora.nwra.com> - 5.9.3-1
- Update to 5.9.3
- Drop gnat-4.4 and f77 patches fixed upstream
- Updated multiarch and test patches
- Add patch to fix up libnistcd.so soversion
- Convert some doc files to UTF-8
- Add lua and lua-devel sub-packages
- Remove rpaths
- Drop gcw driver and pygcw/gnome bindings deprecated upstream
- Drop gd driver deprecated upstream
- Move ldconfig run to plplot-libs, and add to plplot-wxGTK

* Thu Apr 16 2009 Orion Poplawski <orion@cora.nwra.com>
- Only disable ocaml support on sparc64, s390, s390x

* Thu Apr 16 2009 S390x secondary arch maintainer <fedora-s390x@lists.fedoraproject.org>
- ExcludeArch sparc64, s390, s390x as we don't have OCaml on those archs
  (added sparc64 per request from the sparc maintainer)

* Fri Mar 27 2009 - Orion Poplawski <orion@cora.nwra.com> - 5.9.2-4
- Enable ada on ppc64 (resolves bug#241233)
- freefont is now gnu-free-{mono,sans,serif}-fonts

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 12 2009 - Orion Poplawski <orion@cora.nwra.com> - 5.9.2-2
- Add patch to find gnat 4.4
- Add patch to fix f77 example
- Define HAVE_ADA_2007
- Add patch to allow users to run plplot-test.sh (bug #484519)
- Move more tcl files into tk package, examples into main tk package

* Mon Jan 26 2009 - Orion Poplawski <orion@cora.nwra.com> - 5.9.2-1
- Update to 5.9.2
- Need rpaths during build
- Explicitly enable tk, itcl, itk, and pygcw
- Update info and multiarch patches
- Re-enable perl tests
- Add proper ocaml provides/requires
- Add patch to handle newer octave

* Thu Dec  4 2008 Richard W.M. Jones <rjones@redhat.com> - 5.9.0-4.svn8985
- Rebuild for OCaml 3.11.0.

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 5.9.0-3.svn8985
- Rebuild for Python 2.6

* Thu Nov 13 2008 - Orion Poplawski <orion@cora.nwra.com> - 5.9.0-2.svn8985
- Update to svn revision 8985
- Rebuild for libtool 2.2
- Change to use %%bcond_with/without
- Bootstrap build - without PDL

* Fri Sep 5 2008 - Orion Poplawski <orion@cora.nwra.com> - 5.9.0-2.svn8752
- Update to svn revision 8752
- Add new gnome-python2 BRs
- Update build_doc BRs
- Add ocaml sub-package for OCaml interface
- Enable "D" interface.
- Re-enable psttfc test, disable perl and compare tests

* Wed Feb 27 2008 - Orion Poplawski <orion@cora.nwra.com> - 5.9.0-1
- Update to 5.9.0
- Re-enable smp builds
- Add ada subpackage

* Fri Jan 18 2008 - Orion Poplawski <orion@cora.nwra.com> - 5.8.0-10
- Add Requries: libtool-ltdl-devel to devel package

* Tue Jan 15 2008 - Orion Poplawski <orion@cora.nwra.com> - 5.8.0-9
- Require numpy (bug #428876)
- Update SVN patch to add support for detecting Tcl version
- Look for itcl 3.4

* Sat Jan 12 2008 - Orion Poplawski <orion@cora.nwra.com> - 5.8.0-8
- Re-enable itcl

* Mon Jan  7 2008 - Orion Poplawski <orion@cora.nwra.com> - 5.8.0-7
- Update to latest svn for Tcl 8.5 support
- Don't build against itcl - does not support tcl 8.5

* Thu Jan  3 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 5.8.0-6
- Rebuild for new Tcl 8.5

* Sun Dec 23 2007 - Orion Poplawski <orion@cora.nwra.com> - 5.8.0-5
- Rebuild for octave 3.0

* Fri Dec 14 2007 - Orion Poplawski <orion@cora.nwra.com> - 5.8.0-4
- Rebuild for new octave api

* Wed Dec  5 2007 - Orion Poplawski <orion@cora.nwra.com> - 5.8.0-3
- Updated multiarch patch for all language example makefiles (bug #342901)

* Thu Nov 29 2007 - Orion Poplawski <orion@cora.nwra.com> - 5.8.0-2
- Rebuild for new octave api

* Mon Nov 19 2007 - Orion Poplawski <orion@cora.nwra.com> - 5.8.0-1
- Update to 5.8.0

* Fri Nov  9 2007 - Orion Poplawski <orion@cora.nwra.com> - 5.7.4-5
- Update to latest svn: adds cairo, drops plmeta, plrender
- Rebuild for new octave api

* Tue Oct 16 2007 - Orion Poplawski <orion@cora.nwra.com> - 5.7.4-4
- Add patch from svn to fix octave bindings for octave 2.9.15, drop
  old version

* Thu Aug 23 2007 - Orion Poplawski <orion@cora.nwra.com> - 5.7.4-3
- Add perl sub-package for PDL/plpot examples

* Thu Aug 23 2007 - Orion Poplawski <orion@cora.nwra.com> - 5.7.4-2
- Rebuild for BuildID

* Tue Aug 14 2007 - Orion Poplawski <orion@cora.nwra.com> - 5.7.4-1
- Update to 5.7.4
- Re-enable ada on x86_64
- Enable PDL tests
- Set HAVE_PTHREAD for the xwin driver

* Wed Aug  8 2007 - Orion Poplawski <orion@cora.nwra.com> - 5.7.3-4
- BR numpy rather than python-numeric - doesn't do anything yet?

* Tue Aug  7 2007 - Orion Poplawski <orion@cora.nwra.com> - 5.7.3-3
- Disable Ada interface on ppc64 until available (bug #241233)
- Add svn patch to fix ada bindings on x86_64 and other issues
- Add build_doc conditional to test doc builds
- Disable octave until plplot supports octave 2.9.11+
- Update license to LGPLv2+
- Exclude psttfc test until fixed

* Mon Apr 16 2007 - Orion Poplawski <orion@cora.nwra.com> - 5.7.3-2
- Use cmake macros

* Mon Mar 26 2007 - Orion Poplawski <orion@cora.nwra.com> - 5.7.3-1
- Update to 5.7.3
- Hack to run itcl examples
- Install Java JNI into %%{_libdir}/plplot%%{_version}
- java package requires java (bug #233905)
- devel requires main package (bug #233905)
- Enable octave api requirement
- Enable new ada interface - not installed yet though
- Renaable pstex driver

* Tue Mar 20 2007 - Orion Poplawski <orion@cora.nwra.com> - 5.7.2-4
- Set PREBUILT_DOC so docs are installed

* Wed Mar 14 2007 - Orion Poplawski <orion@cora.nwra.com> - 5.7.2-3
- Fix up tclIndex files so they are the same on all builds (bug #228172)
- Fix up examples/tk/Makefile for multilib (bug #228172)
- Install python in arch specific dirs (bug #228173)
- Enable itcl
- Update to CVS

* Fri Feb 09 2007 - Orion Poplawski <orion@cora.nwra.com> - 5.7.2-2
- Rebuild for Tcl 8.5

* Tue Jan 23 2007 - Orion Poplawski <orion@cora.nwra.com> - 5.7.2-1
- Update to 5.7.2 which uses cmake
- Add patch to use -nopgcpp with swig java generation
- Enable more drivers

* Thu Dec 14 2006 - Jef Spaleta <jspaleta@gmail.com> - 5.6.1-9
- Bump and build for python 2.5

* Thu Nov  2 2006 - Orion Poplawski <orion@cora.nwra.com> - 5.6.1-8
- Point to the freefont package properly (bug #210517)
- Move libriaries to -libs, -devel requires -libs for multilib support
- Change BR on gnome-python2 to gnome-python2-devel

* Fri Oct  6 2006 - Orion Poplawski <orion@cora.nwra.com> - 5.6.1-7
- Rebuild for new octave API version

* Tue Oct  3 2006 - Orion Poplawski <orion@cora.nwra.com> - 5.6.1-6
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Mon Sep 25 2006 - Orion Poplawski <orion@cora.nwra.com> - 5.6.1-5
- Add needed Requires for -devel packages (bug #202168)
- Patch .info rather than .texi, and actually apply

* Mon Aug 28 2006 - Orion Poplawski <orion@cora.nwra.com> - 5.6.1-4
- Rebuild for new octave API version
- Add patch for texinfo file to fix category

* Mon Aug  7 2006 - Orion Poplawski <orion@cora.nwra.com> - 5.6.1-3
- Add BR ncurses-devel

* Mon Aug  7 2006 - Orion Poplawski <orion@cora.nwra.com> - 5.6.1-2
- Add patch to support octave 2.9.7 (bug #201443)

* Mon May 22 2006 - Orion Poplawski <orion@cora.nwra.com> - 5.6.1-1
- Update to 5.6.1
- Enable f95 bindings
- Remove patches applied upstream
- Now include pkgconfig files
- pstex driver no longer shipped

* Mon Apr 24 2006 - Orion Poplawski <orion@cora.nwra.com> - 5.6.0-1
- Update to 5.6.0 with new psttf driver
- Add wxGTK support

* Fri Feb 24 2006 - Orion Poplawski <orion@cora.nwra.com> - 5.5.3-12
- Rebuild for FC5 gcc/glibc changes

* Wed Feb  1 2006 - Orion Poplawski <orion@cora.nwra.com> - 5.5.3-11
- Package .pyc and .pyo files

* Thu Dec 22 2005 - Orion Poplawski <orion@cora.nwra.com> - 5.5.3-10
- Add patch to strip X check from configure for modular X
- Rework patches to patch configure and avoid autoconf
- Teporarily add BR on libXau-devel and libXdmcp (bz #176313)

* Thu Dec 15 2005 - Orion Poplawski <orion@cora.nwra.com> - 5.5.3-9
- Rebuild for gcc 4.1

* Tue Aug 30 2005 - Orion Poplawski <orion@cora.nwra.com> - 5.5.3-8
- Re-enable java on ppc - should be fixed in upstream rawhide

* Thu Aug 11 2005 - Orion Poplawski <orion@cora.nwra.com> - 5.5.3-7
- Breakout java into its own sub-package, don't build on non x86
- Add patch to fix c test on ppc

* Wed Aug 10 2005 - Orion Poplawski <orion@cora.nwra.com> - 5.5.3-6
- Add patch to find tcl on x86_64
- Add patch to use new octave in devel

* Tue Aug 09 2005 - Orion Poplawski <orion@cora.nwra.com> - 5.5.3-5
- Explicitly turn off unused features in configure
- rpmlint cleanup
- add make check

* Mon Aug 08 2005 - Orion Poplawski <orion@cora.nwra.com> - 5.5.3-4
- Remove smp build due to problems
- Add gnome-python2 BuildRequires

* Mon Aug 08 2005 - Orion Poplawski <orion@cora.nwra.com> - 5.5.3-3
- Split into multipe packages

* Mon Aug 08 2005 - Orion Poplawski <orion@cora.nwra.com> - 5.5.3-2
- Shorten summary
- Fix Source URL

* Thu Aug 04 2005 - Orion Poplawski <orion@cora.nwra.com> - 5.5.3-1
- Initial Fedora Extras release
